> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminobservabilitycomputed outboxqueuejobs

> List BullMQ computed wake-up jobs by state with space/project/cause filters and pagination

Required token scopes: `instance|read`



## OpenAPI

````yaml /swagger.json get /admin/observability/computed-outbox/queue/jobs
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/observability/computed-outbox/queue/jobs:
    get:
      tags:
        - admin
        - observability
      description: >-
        List BullMQ computed wake-up jobs by state with space/project/cause
        filters and pagination


        Required token scopes: `instance|read`
      parameters:
        - schema:
            type: string
          required: false
          name: states
          in: query
        - schema:
            type: string
          required: false
          name: spaceIds
          in: query
        - schema:
            type: string
          required: false
          name: baseIds
          in: query
        - schema:
            type: string
          required: false
          name: causes
          in: query
        - schema:
            type: string
          required: false
          name: outcomes
          in: query
        - schema:
            type: string
            maxLength: 200
          required: false
          name: q
          in: query
        - schema:
            type: integer
            nullable: true
            minimum: 0
          required: false
          name: minDurationMs
          in: query
        - schema:
            type: string
            enum:
              - tasks
              - deliveries
            default: tasks
          required: false
          name: view
          in: query
        - schema:
            anyOf:
              - type: string
              - type: boolean
          required: false
          name: includeSettled
          in: query
        - schema:
            type: string
            enum:
              - time
              - duration
            default: time
          required: false
          name: sort
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 200
            default: 50
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            nullable: true
            minimum: 0
            default: 0
          required: false
          name: offset
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  sampledAt:
                    type: string
                  total:
                    type: number
                  limit:
                    type: number
                  offset:
                    type: number
                  jobs:
                    type: array
                    items:
                      type: object
                      properties:
                        taskId:
                          type: string
                        baseId:
                          type: string
                        baseName:
                          type: string
                        spaceId:
                          type: string
                        spaceName:
                          type: string
                        cause:
                          type: string
                          enum:
                            - created
                            - merged
                            - retry
                            - replay
                        state:
                          type: string
                          enum:
                            - waiting
                            - active
                            - delayed
                            - failed
                            - paused
                            - prioritized
                            - completed
                        attemptsMade:
                          type: number
                        createdAt:
                          type: string
                        availableAt:
                          type: string
                        emittedAt:
                          type: string
                        scheduledFor:
                          type: string
                        startedAt:
                          type: string
                        finishedAt:
                          type: string
                        processingDurationMs:
                          type: number
                        failedReason:
                          type: string
                          nullable: true
                        ledgerState:
                          type: string
                          enum:
                            - pending
                            - processing
                            - dead
                            - settled
                        outcome:
                          type: string
                          enum:
                            - processed
                            - noop
                            - deferred
                            - parked
                        deliveryCount:
                          type: number
                      required:
                        - taskId
                        - baseId
                        - state
                        - attemptsMade
                        - createdAt
                  scan:
                    type: array
                    items:
                      type: object
                      properties:
                        state:
                          type: string
                          enum:
                            - waiting
                            - active
                            - delayed
                            - failed
                            - paused
                            - prioritized
                            - completed
                        scanned:
                          type: number
                        truncated:
                          type: boolean
                        missing:
                          type: number
                      required:
                        - state
                        - scanned
                        - truncated
                  facets:
                    type: object
                    properties:
                      spaces:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            count:
                              type: number
                          required:
                            - id
                            - count
                      bases:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            count:
                              type: number
                            spaceId:
                              type: string
                          required:
                            - id
                            - count
                      causes:
                        type: array
                        items:
                          type: object
                          properties:
                            cause:
                              type: string
                              enum:
                                - created
                                - merged
                                - retry
                                - replay
                            count:
                              type: number
                          required:
                            - cause
                            - count
                      outcomes:
                        type: array
                        items:
                          type: object
                          properties:
                            outcome:
                              type: string
                              enum:
                                - processed
                                - noop
                                - deferred
                                - parked
                            count:
                              type: number
                          required:
                            - outcome
                            - count
                    required:
                      - spaces
                      - bases
                      - causes
                      - outcomes
                  hiddenSettled:
                    type: number
                  error:
                    type: string
                required:
                  - sampledAt
                  - total
                  - limit
                  - offset
                  - jobs
                  - scan
                  - facets
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/admin/observability/computed-outbox/queue/jobs?states=SOME_STRING_VALUE&spaceIds=SOME_STRING_VALUE&baseIds=SOME_STRING_VALUE&causes=SOME_STRING_VALUE&outcomes=SOME_STRING_VALUE&q=SOME_STRING_VALUE&minDurationMs=SOME_INTEGER_VALUE&view=SOME_STRING_VALUE&includeSettled=SOME_STRING_VALUE&sort=SOME_STRING_VALUE&limit=SOME_INTEGER_VALUE&offset=SOME_INTEGER_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/observability/computed-outbox/queue/jobs?states=SOME_STRING_VALUE&spaceIds=SOME_STRING_VALUE&baseIds=SOME_STRING_VALUE&causes=SOME_STRING_VALUE&outcomes=SOME_STRING_VALUE&q=SOME_STRING_VALUE&minDurationMs=SOME_INTEGER_VALUE&view=SOME_STRING_VALUE&includeSettled=SOME_STRING_VALUE&sort=SOME_STRING_VALUE&limit=SOME_INTEGER_VALUE&offset=SOME_INTEGER_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/observability/computed-outbox/queue/jobs?states=SOME_STRING_VALUE&spaceIds=SOME_STRING_VALUE&baseIds=SOME_STRING_VALUE&causes=SOME_STRING_VALUE&outcomes=SOME_STRING_VALUE&q=SOME_STRING_VALUE&minDurationMs=SOME_INTEGER_VALUE&view=SOME_STRING_VALUE&includeSettled=SOME_STRING_VALUE&sort=SOME_STRING_VALUE&limit=SOME_INTEGER_VALUE&offset=SOME_INTEGER_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/admin/observability/computed-outbox/queue/jobs?states=SOME_STRING_VALUE&spaceIds=SOME_STRING_VALUE&baseIds=SOME_STRING_VALUE&causes=SOME_STRING_VALUE&outcomes=SOME_STRING_VALUE&q=SOME_STRING_VALUE&minDurationMs=SOME_INTEGER_VALUE&view=SOME_STRING_VALUE&includeSettled=SOME_STRING_VALUE&sort=SOME_STRING_VALUE&limit=SOME_INTEGER_VALUE&offset=SOME_INTEGER_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````